{==============================================================================}
{
  Mail merge application ("GeoReport"): data editing.

  This is a simple data editing application, data are mainly pasted into it.
}
{==============================================================================}


unit DataEditFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Db, RVStyle, RVScroll, RichView, RVEdit,
  DBRV, ComCtrls, StdCtrls, Mask, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Param, FireDAC.Stan.Error, FireDAC.DatS, FireDAC.Phys.Intf,
  FireDAC.DApt.Intf, FireDAC.Stan.Async, FireDAC.DApt, FireDAC.UI.Intf,
  FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Phys, FireDAC.Comp.Client,
  FireDAC.Comp.DataSet, FireDAC.Phys.IBBase, FireDAC.Phys.IB,
  FireDAC.VCLUI.Wait, FireDAC.Comp.UI;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Description: TTabSheet;
    Demographics: TTabSheet;
    Cities: TTabSheet;
    DBRichViewEdit1: TDBRichViewEdit;
    RVStyle1: TRVStyle;
    DBRichViewEdit2: TDBRichViewEdit;
    DBRichViewEdit3: TDBRichViewEdit;
    RVStyle2: TRVStyle;
    RVStyle3: TRVStyle;
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    FDTable1: TFDTable;
    FDConnection1: TFDConnection;
    FDPhysIBDriverLink1: TFDPhysIBDriverLink;
    FDGUIxWaitCursor1: TFDGUIxWaitCursor;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  with FDConnection1.Params do
  begin
    Clear;
    Add('DriverID=IB');
    Add('Database=localhost:' + ExtractFilePath(Application.ExeName) + 'Geo.gdb');
    Add('User_Name=SYSDBA');
    Add('Password=masterkey');
  end;
  FDConnection1.Connected := True;
  FDTable1.Open('');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if FDTable1.State in [dsInsert, dsEdit] then
    FDTable1.Post;
end;

end.
